Subject: bug#18136: 24.4.50; crash in redisplay when calling load-theme

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jul 2014 20:18:16 +0300

> Date: Wed, 30 Jul 2014 18:45:02 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> I think so, especially because that's how they behaved before.
>  >
>  > If so, we agree, and this means the menu bar should be part of the TTY
>  > frame's dimensions.
> 
> Just that for a GUI frame the menubar is never counted in the text
> height.

Yes, I agree.

>  > No, we resize the frame and then redistribute the frame dimensions
>  > between its windows.  When change_frame_size_1 is called with the same
>  > dimensions as the current frame's dimensions, it simply does nothing
>  > and returns.
> 
> change_frame_size_1 _always_ calls adjust_frame_size now.  And the later
> does (almost) nothing only if the following condition holds:
> 
>    if (new_text_width == old_text_width
>        && new_text_height == old_text_height
>        && new_windows_width == old_windows_width
>        && new_windows_height == old_windows_height
>        && new_pixel_width == old_pixel_width
>        && new_pixel_height == old_pixel_height)
>      /* No change.  Sanitize window sizes and return.  */

OK, but that's the moral equivalent of what I described (based on what
the code did previously).  Right?